function mywhere, field, count=count
; Return the field indices of where corresponding to the
; multidimensional field definition

count=0l
points=where(field eq 1,count)
if (count eq 0) then return, -1

dims=size(field)
; Fields to make the index inversion
transl=dims[1:dims[0]]
shift=make_array(dims[0],value=1UL)
for i=1,dims[0]-1 do shift[i]=shift[i-1]*transl[i-1]
; Two dimensional unsigned long integer field
newdims=[2,count,dims[0],13,count*dims[0]]
res=make_array(size=newdims)
; Assign
for i=0l,count-1 do res[i,*]=(points[i]/shift) mod transl

return, res
end
